# class Puppet::Provider::Confine::Exists

### Public Class Methods

summarize(confines) click to toggle source

    # File lib/puppet/provider/confine/exists.rb, line 4
    def self.summarize(confines)
      confines.inject([]) { |total, confine| total + confine.summary }
    end

### Public Instance Methods

message(value) click to toggle source

    # File lib/puppet/provider/confine/exists.rb, line 12
    def message(value)
      "file #{value} does not exist"
    end

pass?(value) click to toggle source

    # File lib/puppet/provider/confine/exists.rb, line 8
    def pass?(value)
      value && (for_binary? ? which(value) : FileTest.exist?(value))
    end

summary() click to toggle source

    # File lib/puppet/provider/confine/exists.rb, line 16
    def summary
      result.zip(values).inject([]) { |array, args| val, f = args; array << f unless val; array }
    end